/**
 * @typedef {Object} ChatMessageStatus Enum with the possible status of a chat message
 * @property {"error"} ERROR
 * @property {"sending"} SENDING
 * @property {"sent"} SENT
 * @property {"received"} RECEIVED
 * @property {"displayed"} DISPLAYED
 * @property {"acknowledged"} ACKNOWLEDGED
 */
export declare enum ChatMessageStatus {
    ERROR = "error",
    SENDING = "sending",
    SENT = "sent",
    RECEIVED = "received",
    DISPLAYED = "displayed",
    ACKNOWLEDGED = "acknowledged"
}
