/**
 * @typedef {Object} ChatParticipantState Enum with the possible states of a chat participant
 * @property {"active"} ACTIVE
 * @property {"inactive"} INACTIVE
 * @property {"gone"} GONE
 * @property {"composing"} COMPOSING
 * @property {"paused"} PAUSED
 */
export declare enum ChatParticipantState {
    ACTIVE = "active",
    INACTIVE = "inactive",
    GONE = "gone",
    COMPOSING = "composing",
    PAUSED = "paused"
}
